Package com.xceptance.xlt.api.util

# Class AbstractResponseProcessor

java.lang.Object
com.xceptance.xlt.api.util.AbstractResponseProcessor

All Implemented Interfaces:
  `ResponseProcessor`

Direct Known Subclasses:
  `ResponseContentProcessor`

public abstract class AbstractResponseProcessor extends Object implements ResponseProcessor
An abstract super class for `ResponseProcessor` implementations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractResponseProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected WebResponse`
  `createWebResponse(WebResponse originalWebResponse, byte[] content)`
  Creates a new web response from the given original web response and the new content.
  `protected WebResponse`
  `createWebResponse(WebResponse originalWebResponse, String content)`
  Creates a new web response from the given original web response and the new content.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.xceptance.xlt.api.util.ResponseProcessor

  `processResponse`

- ## Constructor Details

  - ### AbstractResponseProcessor

    public AbstractResponseProcessor()

- ## Method Details

  - ### createWebResponse

    protected WebResponse createWebResponse(WebResponse originalWebResponse, byte[] content)
    Creates a new web response from the given original web response and the new content.
    Parameters:
      `originalWebResponse` - the original web response
      `content` - the new content
    Returns:
      a new web response

  - ### createWebResponse

    protected WebResponse createWebResponse(WebResponse originalWebResponse, String content)
    Creates a new web response from the given original web response and the new content.
    Parameters:
      `originalWebResponse` - the original web response
      `content` - the new content
    Returns:
      a new web response